package mediateca;

import java.io.*;
import java.util.*;

public class AudioCd
extends Media
{
	Integer annoUscita;
	String autore;

	private AudioCd()
	{
		this(null, null, null, null);
	}

	AudioCd(String cat, String tit, Integer anno, String aut)
	{
		categoria = cat;
		titolo = tit;
		annoUscita = anno;
		autore = aut;
	}


	public static Media getInstance(BufferedReader br) throws IOException
	{
		String cat, tit, aut;
		Integer anno;

		cat = br.readLine();
		if(cat == null || cat.equals(""))
		{
			throw new IncompleteDataException("Cannot read categoria");
		}

		tit = br.readLine();
		if(tit == null || tit.equals(""))
		{
			throw new IncompleteDataException("Cannot read titolo");
		}

		try
		{
			anno = new Integer(br.readLine());
		}
		catch(NumberFormatException nfe)
		{
			nfe.printStackTrace();
			throw new IncompleteDataException("Cannot read anno uscita " + nfe.toString());
		}

		aut = br.readLine();
		if(aut == null || aut.equals(""))
		{
			throw new IncompleteDataException("Cannot read autore");
		}

		return new AudioCd(cat, tit, anno, aut);
	}
}
